> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dataset info

> Get dataset info



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v1/datasets/{dataset_id}
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/datasets/{dataset_id}:
    get:
      tags:
        - datasets
      summary: Get dataset info
      description: Get dataset info
      operationId: get_dataset_v1_datasets__dataset_id__get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DatasetResponse:
      properties:
        id:
          type: string
          title: Id
          description: The object identifier, which can be referenced in the API endpoints.
          examples:
            - 4d89c87498354518b92fa02fc0ad8720
        name:
          type: string
          title: Name
          description: ID of the dataset.
          examples:
            - example_dataset
        status:
          allOf:
            - $ref: '#/components/schemas/DatasetStatus'
          description: Current status of the dataset.
          examples:
            - READY
            - FAILED
            - PENDING
        schema:
          items:
            $ref: '#/components/schemas/ColumnSchema-Output'
          type: array
          title: Schema
          description: Dataset schema definition.
          examples:
            - name: text
              type:
                name: string
            - name: text_1
              type:
                item:
                  name: string
                name: option
        metadata:
          additionalProperties:
            anyOf:
              - type: string
              - items:
                  type: string
                type: array
          type: object
          title: Metadata
          description: Additional metadata associated with the dataset.
          examples:
            - {}
        current_version_origin:
          anyOf:
            - $ref: '#/components/schemas/DatasetOriginResponse'
            - type: 'null'
          description: >-
            Origin information for the current dataset version. This object is
            extensible for source-specific fields.
          examples:
            - type: s3
        folder:
          type: string
          title: Folder
          description: Folder path where the dataset is stored.
          examples:
            - /some/folder
        current_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Version
          description: Current version of the dataset.
          examples:
            - 0ed2d94b38fb40b9b61f6a
        type:
          type: string
          title: Type
          default: dataset
        created_at:
          type: integer
          title: Created At
          description: Unix timestamp when the dataset was created.
          examples:
            - 1760109124
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Error message if the dataset is in an error state.
        ai_project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Project Id
          description: AI Studio project ID to associate with the dataset.
          examples:
            - example_project
      type: object
      required:
        - id
        - name
        - status
        - schema
        - metadata
        - folder
        - current_version
        - created_at
        - error
      title: DatasetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DatasetStatus:
      type: string
      enum:
        - READY
        - PENDING
        - FAILED
        - TEMPORARY
        - DRAFT
      title: DatasetStatus
    ColumnSchema-Output:
      properties:
        name:
          type: string
          title: Name
        type:
          anyOf:
            - $ref: '#/components/schemas/SchemaPrimitive'
            - $ref: '#/components/schemas/SchemaOption-Output'
          title: Type
      type: object
      required:
        - name
        - type
      title: ColumnSchema
    DatasetOriginResponse:
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/DatasetOriginType'
          description: How the current dataset version was produced.
          examples:
            - s3
      type: object
      required:
        - type
      title: DatasetOriginResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SchemaPrimitive:
      properties:
        name:
          $ref: '#/components/schemas/SchemaPrimitiveType'
      type: object
      required:
        - name
      title: SchemaPrimitive
    SchemaOption-Output:
      properties:
        name:
          $ref: '#/components/schemas/SchemaOptionType'
        item:
          anyOf:
            - $ref: '#/components/schemas/SchemaPrimitive'
            - $ref: '#/components/schemas/SchemaOption-Output'
          title: Item
      type: object
      required:
        - name
        - item
      title: SchemaOption
    DatasetOriginType:
      type: string
      enum:
        - upload
        - s3
      title: DatasetOriginType
    SchemaPrimitiveType:
      type: string
      enum:
        - string
        - integer
        - boolean
        - float
        - double
        - json
        - 'null'
      title: SchemaPrimitiveType
    SchemaOptionType:
      type: string
      enum:
        - option
      const: option
      title: SchemaOptionType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````